Bug 143900 - postfix segfaults when hostname unknown
postfix segfaults when hostname unknown
Status: CLOSED DUPLICATE of bug 139983
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-31 18:05 EST by Mike Bird
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:07:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Bird 2004-12-31 18:05:51 EST
Postfix segfaults if the hostname cannot be found in DNS.

Since the DNS response is not safely checked an exploit may be possible.

Version-Release number of selected component (if applicable):
2.1.5-2.4.FC3

How reproducible:
Always

Steps to Reproduce:
# hostname foo.bar
# service postfix restart


Actual Results:
Shutting down postfix: /etc/init.d/postfix: line 58: 10620
Segmentation fault    /usr/sbin/postfix stop 2>/dev/null 1>&2
                                                           [FAILED]
Starting postfix: /etc/init.d/postfix: line 34: 10628 Segmentation
fault      /usr/sbin/postalias ${alias_database//,} 2>/dev/null
                                                           [FAILED]


Expected Results:
Shutting down postfix:                                     [  OK  ]
Starting postfix:                                          [  OK  ]
Comment 1 Rob van Nieuwkerk 2005-01-27 18:44:40 EST
FYI:
I saw something on the postfix developers list that suggests that
this bug is caused by a (not so smart according to Wietse Venema ..)
change to the stock postfix code by Red Hat.  See these postings:

    http://article.gmane.org/gmane.mail.postfix.devel/316
    http://article.gmane.org/gmane.mail.postfix.devel/317
    http://article.gmane.org/gmane.mail.postfix.devel/318
    http://article.gmane.org/gmane.mail.postfix.devel/319
Comment 2 Chris Ricker 2005-01-28 10:15:39 EST
Is there any reason to include the postfix-hostname-fqdn.patch in
question? I've never found it necessary....
Comment 3 Chris Ricker 2005-01-28 11:19:49 EST

*** This bug has been marked as a duplicate of 139983 ***
Comment 4 Red Hat Bugzilla 2006-02-21 14:07:49 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.